=== modified file 'NEWS'
--- NEWS	2008-09-22 05:15:20 +0000
+++ NEWS	2008-09-23 22:46:05 +0000
@@ -36,6 +36,10 @@
 
   API CHANGES:
 
+    * ``CommitBuilder.record_entry_contents`` returns one more element in
+      its result tuple - an optional file system hash for the hash cache
+      to use. (Robert Collins)
+
   TESTING:
 
     * ``bzrlib.tests.repository_implementations`` has been renamed to

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2008-09-22 05:15:20 +0000
+++ bzrlib/repository.py	2008-09-23 22:46:05 +0000
@@ -248,9 +248,9 @@
             version_recorded is True if a new version of the entry has been
             recorded. For instance, committing a merge where a file was only
             changed on the other side will return (delta, False).
-            fs_hash is either None, or the hash of the path. (Currently we 
-            use sha1 hashes of the entire file content, and only calculate
-            these for regular files).
+            fs_hash is either None, or the hash details for the path (currently
+            a tuple of the contents sha1 and the statvalue returned by
+            tree.get_file_with_stat()).
         """
         if self.new_inventory.root is None:
             if ie.parent_id is not None:

